Quantcast

Moving from version 2 to 3

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Moving from version 2 to 3

Steve Matzura
I'm currently running an implementation of version 2 on a Fedora
version 17 system, moving to a Ubuntu 16.04 LTS system which gave me
version 3. Before I start pulling my hair out, which I already did
going from version 1 to 2, is there an easy migration path for a
configuration file that's working perfectly under 2?

Thanks in advance.
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Moving from version 2 to 3

Wietse Venema
Steve Matzura:
> I'm currently running an implementation of version 2 on a Fedora
> version 17 system, moving to a Ubuntu 16.04 LTS system which gave me
> version 3. Before I start pulling my hair out, which I already did
> going from version 1 to 2, is there an easy migration path for a
> configuration file that's working perfectly under 2?

Yes.

postconf compatibility_level=0
postfix reload

        Wietse
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Moving from version 2 to 3

Peter Ajamian
On 20/01/17 09:22, Wietse Venema wrote:

> Steve Matzura:
>> I'm currently running an implementation of version 2 on a Fedora
>> version 17 system, moving to a Ubuntu 16.04 LTS system which gave me
>> version 3. Before I start pulling my hair out, which I already did
>> going from version 1 to 2, is there an easy migration path for a
>> configuration file that's working perfectly under 2?
>
> Yes.
>
> postconf compatibility_level=0
> postfix reload

F17 came with postfix 2.9 (the 9 is important here).  I would also do
this to make a new setting in 2.10 compatible to previous versions:

postconf smtpd_relay_restrictions=permit


Peter
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Moving from version 2 to 3

Steve Matzura
Peter:

On Fri, 20 Jan 2017 11:01:25 +1300, you wrote:

>F17 came with postfix 2.9 (the 9 is important here).  I would also do
>this to make a new setting in 2.10 compatible to previous versions:
>
>postconf smtpd_relay_restrictions=permit

I must be lucky then, because 'postconf -d|grep mail_version' reports
2.10.

Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Moving from version 2 to 3

Steve Matzura
In reply to this post by Wietse Venema
Thank you. I know it's been about three weeks since I asked the
question, but I've been swamped with other projects so haven't had a
chance to try it. I will, and will report back.

On Thu, 19 Jan 2017 15:22:57 -0500 (EST), you wrote:

>Steve Matzura:
>> I'm currently running an implementation of version 2 on a Fedora
>> version 17 system, moving to a Ubuntu 16.04 LTS system which gave me
>> version 3. Before I start pulling my hair out, which I already did
>> going from version 1 to 2, is there an easy migration path for a
>> configuration file that's working perfectly under 2?
>
>Yes.
>
>postconf compatibility_level=0
>postfix reload
>
> Wietse
Loading...